@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi
rem # Contributor(s): 
rem #
rem # ====================================================================
rem #
rem #  Start the OpenCCM Node Manager (PDA/WinCE distribution)
rem #
rem # ====================================================================


echo Starting OpenCCM DCI Node

set node_name=[node_name]
set OpenCCM_CONFIG_DIR=\OpenCCM\build\OpenCCM_CONFIG_DIR\
set NODE_PATH=%OpenCCM_CONFIG_DIR%\NodeManagers\%node_name%\node_%node_name%

mkdir %OpenCCM_CONFIG_DIR%\NodeManagers\%node_name%\
set ci_dir=%OpenCCM_CONFIG_DIR%\NodeManagers\%node_name%\ComponentInstallation
mkdir %ci_dir%


echo "No User Node Properties File define, use default properties"

set run_id=node_start_default

:run

set npdFilePath=-I/OpenCCM/build/OpenCCM_CONFIG_DIR/NodeManagers/NodeProperties.npd


\WSDD\bin\j9.exe -bp:\WSDD\classes.zip -cp:\OpenCCM\build\externals\xerces\xerces.jar;\OpenCCM\build\jar\OpenCCM_Launcher.jar -Dior_ns=corbaloc::[your_host]:[number_port]/NameService -Dior_dci=corbaname::[your_host]:[number_port]/NameService#OpenCCM/DCIManagers/[DCI_name] -Dnode_name=%node_name% -Dci_dir=%ci_dir% org.objectweb.util.launcher.Launcher --runid %run_id% NPDFILE=%npdFilePath% NSREGISTER=OpenCCM/NodeManagers/%node_name% NODENAME=%node_name% IORPATH=%NODE_PATH%.IOR \OpenCCM\build\xml\launcher\node_server.xml

echo " The NodeManager %node_name% is started"

