package org.coach.tracing.server.viewer;

import javax.swing.*;
import javax.swing.event.*;
import javax.swing.tree.*;

public class IdentityModel extends DefaultTreeModel {
    private TreePath selection;
    private IdentityNode nodeRoot;

    public IdentityModel(IdentityNode root) {
        super(root);
        nodeRoot = root;
        selection = new TreePath(root);
    }
    
    public TreePath getSelection() {
        return selection;
    }

    public void setSelection(TreePath s) {
        selection = s;
    }
    
    public void setRoot(IdentityNode root) {
        super.setRoot(root);
        nodeRoot = root;
        selection = new TreePath(root);
    }        
}
