/*====================================================================

OpenCCM: The Open CORBA Component Model Platform
Copyright (C) 2000-2002 USTL - LIFL - GOAL
Contact: openccm-team@objectweb.org

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
USA

Initial developer(s): Christophe Contreras
Contributor(s): ___________________________________________________.

====================================================================*/

package org.objectweb.openccm.deployment.gui;

/**
 * This is the action class for opening a CPF from a software package descriptor
 *
 */
public class PropertyfileEditActionListener
  implements org.objectweb.util.browser.api.ExtendedActionListener
{
    public void
    actionPerformed (org.objectweb.util.browser.api.ExtendedActionEvent the_event)
    {
        // gets the calling tree
        org.objectweb.util.browser.gui.core.DynamicTree calling_tree
         = (org.objectweb.util.browser.gui.core.DynamicTree)
           the_event.getTreeView().getTreeConfiguration();

        //gets the frame
        org.objectweb.apollon.gui.ApollonFrame calling_frame
         = (org.objectweb.apollon.gui.ApollonFrame)
            calling_tree.getRootPane().getParent();

        // gets the calling XML element
        org.objectweb.ccm.descriptor.softpkg.beans.PropertyfileBean zeus_instance
         = (org.objectweb.ccm.descriptor.softpkg.beans.PropertyfileBean)
           the_event.getTreeView().getValue();

        calling_frame.open_file(
            new java.io.File(
                zeus_instance.getFileinarchive().getName()
                )
            );
    }
}
