public class HelloWorld
{
    private static void printMessage(int cpt, String msg){
        System.out.println("-> My message n"+cpt+": Hello World "+msg+"!");
    }

    private static void printThread(){
        System.out.println("-> My Thread: " + Thread.currentThread());
    }

    private static void printClassLoader(){
        System.out.println("-> My ClassLoader: " + Thread.currentThread().getContextClassLoader());
    }

    private static void printArguments(String[] args){
        System.out.print("-> My Arguments: {");
        for (int i = 0 ; i < args.length ; i++)
            System.out.print(args[i] + ", ");
        System.out.println("}");
    }

    private static void printJavaProperties(){
        System.out.print("-> My Java Properties: {");
        java.util.Iterator iter = System.getProperties().entrySet().iterator();
        while (iter.hasNext()) {
          java.util.Map.Entry entry = (java.util.Map.Entry) iter.next() ;
          System.out.print("("+entry.getKey()+"="+entry.getValue()+"), ");
        } 
        System.out.println("}");
    }

    public static void main(String[] args)
    {
        System.out.println("A little test !");
        String msg = (args.length==0?"":args[0]);
        for (int i = 0 ; i < 5 ; i++)
            printMessage(i,msg);
//         printThread();
//         printClassLoader();
//         printArguments(args);
//         printJavaProperties();
    }
}
