@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2003 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi.
rem # Contributor(s): 
rem #
rem # ====================================================================
rem #
rem # ==============================
rem # Start the Assembly Factory
rem # ==============================

set OpenCCM_CONFIG_DIR=\OpenCCM\build\OpenCCM_CONFIG_DIR
set dci_name=DefaultDCI
set factory_name=DefaultFactory

mkdir %OpenCCM_CONFIG_DIR%\AssemblyFactoryManagers\%factory_name%\

echo Starting the Assembly Factory
\WSDD\bin\j9.exe -bp:\WSDD\classes.zip -cp:\OpenCCM\build\externals\xerces\xerces.jar;\OpenCCM\build\jar\OpenCCM_Launcher.jar -Dior_ns=corbaloc::[your_host]:[number_port]/NameService -Dior_dci=corbaname::[your_host]:[number_port]/NameService#OpenCCM/DCIManagers/%dci_name% org.objectweb.util.launcher.Launcher --runid factory_start NSREGISTER=OpenCCM/AssemblyFactoryManagers/%factory_name% FACTORYNAME=%factory_name% IORPATH=%OpenCCM_CONFIG_DIR%/AssemblyFactoryManagers/%factory_name%/factory_%factory_name%.IOR \OpenCCM\build\xml\launcher\factory_server.xml
echo The Assembly Factory is started