@echo off
rem # ====================================================================
rem #
rem # OpenCCM: The Open CORBA Component Model Platform
rem # Copyright (C) 2000-2002 USTL - LIFL - GOAL
rem # Contact: openccm-team@objectweb.org
rem #
rem # This library is free software; you can redistribute it and/or
rem # modify it under the terms of the GNU Lesser General Public
rem # License as published by the Free Software Foundation; either
rem # version 2.1 of the License, or any later version.
rem #
rem # This library is distributed in the hope that it will be useful,
rem # but WITHOUT ANY WARRANTY; without even the implied warranty of
rem # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
rem # Lesser General Public License for more details.
rem #
rem # You should have received a copy of the GNU Lesser General Public
rem # License along with this library; if not, write to the Free Software
rem # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
rem # USA
rem #
rem # Initial developer(s): Areski Flissi.
rem # Contributor(s): 
rem #
rem # ====================================================================

set JCS_PATH=\OpenCCM\build\OpenCCM_CONFIG_DIR\ComponentServers\ComponentServer2

echo The OpenCCM's Java Component Server ComponentServer2 will be started.

rem # Check if the OpenCCM Java Component Server archive directory doesn't exist.
if exist %JCS_PATH%.archive_cache goto cache_exist

echo Creating the %JCS_PATH%.archive_cache directory.
mkdir %JCS_PATH%.archive_cache

:cache_exist
echo Launching a OpenCCM's Java Component Server
\WSDD\bin\j9.exe -bp:\WSDD\classes.zip -cp:\OpenCCM\build\externals\xerces\xerces.jar;\OpenCCM\build\jar\OpenCCM_Launcher.jar -Dior_ns=corbaloc::[your_host]:[number_port]/NameService -DOpenCCM.ComponentServer.archive_cache=%JCS_PATH%.archive_cache org.objectweb.util.launcher.Launcher --runid jcs ComponentServer2 \OpenCCM\build\OpenCCM_CONFIG_DIR\ComponentServers\ComponentServer2.IOR \OpenCCM\build\xml\launcher\JCS.xml

echo The OpenCCM's Java Component Server ComponentServer2 is started.
