package org.coach.idltree;

public interface IdlWritable {
    /**
     * Object which implement the IdlWritable interface must implement
     * the write() operation.
     *
     * @param w The IdlWriter object to write to.
     */
    public void write(IdlWriter w);
}