/**
 * copyright 2002 2003 Laboratoire d'Informatique Paris 6 (LIP6)
 * 
 * This file is part of ModFact.
 * 
 * ModFact is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * at your option) any later version.
 * 
 * ModFact is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Foobar; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * 
 */

// le Code gnr de la Class: Class
package org.omg.mof.Model ;
public class ClassImpl extends org.omg.mof.Model.ClassPOA {

		//Ajout de la partie RefBaseObject 
		// Operation ref_mof_id
		  public java.lang.String ref_mof_id(){
		    int id = _orb().object_to_string(_this()).hashCode();
		     return String.valueOf(id);
		  }
		  // Operation ref_meta_object
		  public org.omg.mof.Reflective.RefObject ref_meta_object(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_meta_object method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		    }
		 // Operation ref_itself
		 public boolean ref_itself(org.omg.mof.Reflective.RefBaseObject other_object){
		     String id_obj = other_object.ref_mof_id();
		     if (ref_mof_id().equals(id_obj)) return true;
		     else return false;
		  }
		 // Operation ref_immediate_package
		 public org.omg.mof.Reflective.RefPackage ref_immediate_package(){
		    throw new org.omg.CORBA.NO_IMPLEMENT("ref_immediate_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		 }
		 // Operation ref_outermost_package
		 public org.omg.mof.Reflective.RefPackage ref_outermost_package(){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_moutermost_package method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }
		  // Operation ref_delete
		 public void ref_delete() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_delete method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		  }

		    //Ajout de la partie  RefObject
		// Operation ref_is_instance_of
		public boolean ref_is_instance_of(org.omg.mof.Reflective.RefObject some_class, boolean consider_subtypes) {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_is_instance_of method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_create_instance
		public org.omg.mof.Reflective.RefObject ref_create_instance(org.omg.CORBA.Any[] args) throws org.omg.mof.Reflective.MofError {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_create_instance method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_all_objects
		public org.omg.mof.Reflective.RefObject[] ref_all_objects(boolean include_subtypes){
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_all_objects method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_set_value
		public void ref_set_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_value) throws org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_set_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_value
		public org.omg.CORBA.Any ref_value(org.omg.mof.Reflective.RefObject feature) throws org.omg.mof.Reflective.NotSet, org.omg.mof.Reflective.MofError {
			throw new org.omg.CORBA.NO_IMPLEMENT("ref_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_unset_value
		public void ref_unset_value() throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_unset_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value
		public void ref_add_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element) throws org.omg.mof.Reflective.MofError {
		  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_before
		public void ref_add_value_before(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, org.omg.CORBA.Any before_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_before method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_add_value_at
		public void ref_add_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_add_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value
		public void ref_modify_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any old_element, org.omg.CORBA.Any new_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_modify_value_at
		public void ref_modify_value_at(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any new_element, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_modify_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value
		public void ref_remove_value(org.omg.mof.Reflective.RefObject feature, org.omg.CORBA.Any existing_element)
			throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError {
			 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_remove_value_at
		public void ref_remove_value_at(org.omg.mof.Reflective.RefObject feature, int position)
			throws org.omg.mof.Reflective.BadPosition, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value_at method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_immediate_composite
		public org.omg.mof.Reflective.RefObject ref_immediate_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_remove_value method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_outermost_composite
		public org.omg.mof.Reflective.RefObject ref_outermost_composite() {
		 throw new org.omg.CORBA.NO_IMPLEMENT("ref_outermost_composite method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		// Operation ref_invoke_operation(
		public org.omg.CORBA.Any ref_invoke_operation(org.omg.mof.Reflective.RefObject requested_temp, org.omg.mof.Reflective.ValueTypeListHolder args)
			throws org.omg.mof.Reflective.OtherException, org.omg.mof.Reflective.MofError {
			  throw new org.omg.CORBA.NO_IMPLEMENT("ref_invoke_operation( method not implemented",1 ,org.omg.CORBA.CompletionStatus.COMPLETED_NO);
		}
		private org.omg.mof.Model.ClassClass _class_proxy;
	public org.omg.mof.Model.ModelElement[] all_of_type_model_element() {
		return _class_proxy.all_of_type_model_element();
		}
	public org.omg.mof.Model.Namespace[] all_of_type_namespace() {
		return _class_proxy.all_of_type_namespace();
		}
	public org.omg.mof.Model.GeneralizableElement[] all_of_type_generalizable_element() {
		return _class_proxy.all_of_type_generalizable_element();
		}
	public org.omg.mof.Model.Classifier[] all_of_type_classifier() {
		return _class_proxy.all_of_type_classifier();
		}
	public org.omg.mof.Model.Class create_class(String name, String annotation, org.omg.mof.Model.VisibilityKind visibility, boolean is_leaf, boolean is_root, boolean is_abstract, boolean is_singleton) throws org.omg.mof.Reflective.MofError {
		return _class_proxy.create_class(name, annotation, visibility, is_leaf, is_root, is_abstract, is_singleton);
		}
	public org.omg.mof.Model.Class[] all_of_class_class() {
		return _class_proxy.all_of_class_class();
		}
	public org.omg.mof.Model.Class[] all_of_type_class() {
		return _class_proxy.all_of_type_class();
		}
		// 
	private String  _name ;
	public String name() throws org.omg.mof.Reflective.MofError {
 		return _name;
		}
	public void set_name(String new_value) throws org.omg.mof.Reflective.MofError { 
		_name = new_value ;
		}

		// 
	private String  _annotation ;
	public String annotation() throws org.omg.mof.Reflective.MofError {
 		return _annotation;
		}
	public void set_annotation(String new_value) throws org.omg.mof.Reflective.MofError { 
		_annotation = new_value ;
		}

		// 
	private java.util.Vector  _qualified_names = new java.util.Vector();
	public String[]  qualified_name() throws org.omg.mof.Reflective.MofError {

	    //Cration d'un vecteur conteneur et rajouyer le nom du l'lment
	    java.util.Vector _name_qualified = new java.util.Vector();
	    _name_qualified.addElement(_name);

	    // Calculer _qualified _name
	    Namespace _current = _container ;
	    try{
		boolean _bool = false;
		while (!_bool ) {
		      if (_current._is_a(ClassHelper.id())) {
		        _name_qualified.addElement(_current.name());
			_current = _current.container();
		      }
		      else {
		    //C'est un package
		    _name_qualified.addElement(_current.name());
		     _bool = true;
		      }
	        }
	    }
	    catch (org.omg.mof.Reflective.NotSet ex){}

	    String[] _temp = new String[_name_qualified.size()];
	    for(int i=0; i<_temp.length ;i++) _temp[i] =(String)_name_qualified.elementAt(i);
	    return _temp ;
	}

		// 
	private org.omg.mof.Model.VisibilityKind  _visibility ;
	public org.omg.mof.Model.VisibilityKind visibility() throws org.omg.mof.Reflective.MofError {
 		return _visibility;
		}
	public void set_visibility(org.omg.mof.Model.VisibilityKind new_value) throws org.omg.mof.Reflective.MofError { 
		_visibility = new_value ;
		}

		// 
	private boolean  _is_leaf ;
	public boolean is_leaf() throws org.omg.mof.Reflective.MofError {
 		return _is_leaf;
		}
	public void set_is_leaf(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_leaf = new_value ;
		}

		// 
	private boolean  _is_root ;
	public boolean is_root() throws org.omg.mof.Reflective.MofError {
 		return _is_root;
		}
	public void set_is_root(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_root = new_value ;
		}

		// 
	private boolean  _is_abstract ;
	public boolean is_abstract() throws org.omg.mof.Reflective.MofError {
 		return _is_abstract;
		}
	public void set_is_abstract(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_abstract = new_value ;
		}

		// 
	private boolean  _is_singleton ;
	public boolean is_singleton() throws org.omg.mof.Reflective.MofError {
 		return _is_singleton;
		}
	public void set_is_singleton(boolean new_value) throws org.omg.mof.Reflective.MofError { 
		_is_singleton = new_value ;
		}

		// 
	public GeneralizableElement[] all_supertypes () throws org.omg.mof.Reflective.MofError {

		//crer un vecteur conteneur
		java.util.Vector _generalizable_element = _rec_all_supertypes((GeneralizableElement)_this(), new java.util.Vector());
		
		//crer un tableau contenuer
		GeneralizableElement [] _all_supertypes = new GeneralizableElement [_generalizable_element.size()];
		for(int i=0; i< _all_supertypes.length; i++) _all_supertypes[i] = ((GeneralizableElement)_generalizable_element.elementAt(i));
		return _all_supertypes ;

	}





  	private java.util.Vector _rec_all_supertypes (org.omg.mof.Model.GeneralizableElement _class, java.util.Vector _conteneur) throws org.omg.mof.Reflective.MofError {

      		GeneralizableElement[] _supertypes = _class.supertypes() ;

      		for(int i=0; i< _supertypes.length; i++) {
			if(!_conteneur.contains(_supertypes[i])) _conteneur.addElement(_supertypes[i]);
      		}
      		for(int i=0; i< _supertypes.length; i++) _rec_all_supertypes(_supertypes[i], _conteneur);
      		return _conteneur ;
  	}

		// 
	private org.omg.mof.Model.Namespace  _container = null;
	public org.omg.mof.Model.Namespace container() throws org.omg.mof.Reflective.NotSet, org.omg.mof.Reflective.MofError { 
		if (_container!= null) return _container;
		else throw new org.omg.mof.Reflective.NotSet();
		}
	public void set_container(org.omg.mof.Model.Namespace new_value) throws org.omg.mof.Reflective.MofError { 
		_container = new_value ;
		}
	public void unset_container() throws org.omg.mof.Reflective.MofError{ 
		_container = null;
		}

		// 
	private java.util.Vector  _required_elementss = new java.util.Vector();
	public org.omg.mof.Model.ModelElement[]  required_elements() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.ModelElement[] temp1 = new org.omg.mof.Model.ModelElement[_required_elementss.size()];
		for(int i=0; i< _required_elementss.size(); i++) temp1[i] = (org.omg.mof.Model.ModelElement)_required_elementss.elementAt(i);
		return temp1;
		}
	public void set_required_elements(org.omg.mof.Model.ModelElement[] new_value) throws org.omg.mof.Reflective.MofError { 
		_required_elementss.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _required_elementss.addElement(new_value[i]);
		}
	public void add_required_elements (org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.MofError{ 
		_required_elementss.addElement(new_element);
		}
	public void modify_required_elements (org.omg.mof.Model.ModelElement old_element,org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _required_elementss.contains(old_element)) {
		int i =_required_elementss.indexOf(old_element);
		_required_elementss.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_required_elements (org.omg.mof.Model.ModelElement old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_required_elementss.contains(old_element)) _required_elementss.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

		// 
	private java.util.Vector  _constraintss = new java.util.Vector();
	public org.omg.mof.Model.Constraint[]  constraints() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.Constraint[] temp1 = new org.omg.mof.Model.Constraint[_constraintss.size()];
		for(int i=0; i< _constraintss.size(); i++) temp1[i] = (org.omg.mof.Model.Constraint)_constraintss.elementAt(i);
		return temp1;
		}
	public void set_constraints(org.omg.mof.Model.Constraint[] new_value) throws org.omg.mof.Reflective.MofError { 
		_constraintss.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _constraintss.addElement(new_value[i]);
		}
	public void add_constraints (org.omg.mof.Model.Constraint new_element) throws org.omg.mof.Reflective.MofError{ 
		_constraintss.addElement(new_element);
		}
	public void modify_constraints (org.omg.mof.Model.Constraint old_element,org.omg.mof.Model.Constraint new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _constraintss.contains(old_element)) {
		int i =_constraintss.indexOf(old_element);
		_constraintss.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_constraints (org.omg.mof.Model.Constraint old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_constraintss.contains(old_element)) _constraintss.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

		// 
	private java.util.Vector  _contentss = new java.util.Vector();
	public org.omg.mof.Model.ModelElement[]  contents() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.ModelElement[] temp1 = new org.omg.mof.Model.ModelElement[_contentss.size()];
		for(int i=0; i< _contentss.size(); i++) temp1[i] = (org.omg.mof.Model.ModelElement)_contentss.elementAt(i);
		return temp1;
		}
	public void set_contents(org.omg.mof.Model.ModelElement[] new_value) throws org.omg.mof.Reflective.MofError { 
		_contentss.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _contentss.addElement(new_value[i]);
		}
	public void add_contents (org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.MofError{ 
		_contentss.addElement(new_element);
		}
	public void add_contents_before (org.omg.mof.Model.ModelElement new_element, org.omg.mof.Model.ModelElement before_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if(_contentss.contains(before_element)) {
		int i = _contentss.indexOf(before_element);
		_contentss.insertElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound() ;
		}
	public void modify_contents (org.omg.mof.Model.ModelElement old_element,org.omg.mof.Model.ModelElement new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _contentss.contains(old_element)) {
		int i =_contentss.indexOf(old_element);
		_contentss.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_contents (org.omg.mof.Model.ModelElement old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_contentss.contains(old_element)) _contentss.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

		// 
	private java.util.Vector  _supertypess = new java.util.Vector();
	public org.omg.mof.Model.GeneralizableElement[]  supertypes() throws org.omg.mof.Reflective.MofError { 
		org.omg.mof.Model.GeneralizableElement[] temp1 = new org.omg.mof.Model.GeneralizableElement[_supertypess.size()];
		for(int i=0; i< _supertypess.size(); i++) temp1[i] = (org.omg.mof.Model.GeneralizableElement)_supertypess.elementAt(i);
		return temp1;
		}
	public void set_supertypes(org.omg.mof.Model.GeneralizableElement[] new_value) throws org.omg.mof.Reflective.MofError { 
		_supertypess.removeAllElements();
		for(int i= 0; i< new_value.length ; i++) _supertypess.addElement(new_value[i]);
		}
	public void add_supertypes (org.omg.mof.Model.GeneralizableElement new_element) throws org.omg.mof.Reflective.MofError{ 
		_supertypess.addElement(new_element);
		}
	public void add_supertypes_before (org.omg.mof.Model.GeneralizableElement new_element, org.omg.mof.Model.GeneralizableElement before_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if(_supertypess.contains(before_element)) {
		int i = _supertypess.indexOf(before_element);
		_supertypess.insertElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound() ;
		}
	public void modify_supertypes (org.omg.mof.Model.GeneralizableElement old_element,org.omg.mof.Model.GeneralizableElement new_element) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError{ 
		if( _supertypess.contains(old_element)) {
		int i =_supertypess.indexOf(old_element);
		_supertypess.setElementAt(new_element, i);
		}
		else throw new org.omg.mof.Reflective.NotFound();
		}
	public void remove_supertypes (org.omg.mof.Model.GeneralizableElement old_element ) throws org.omg.mof.Reflective.NotFound, org.omg.mof.Reflective.MofError { 
		if(_supertypess.contains(old_element)) _supertypess.removeElement(old_element);
		else throw new org.omg.mof.Reflective.NotFound() ;
		}

	public ClassImpl(String name, String annotation, org.omg.mof.Model.VisibilityKind visibility, boolean is_leaf, boolean is_root, boolean is_abstract, boolean is_singleton, org.omg.mof.Model.ClassClass _proxy){
		_name = name ;
		_annotation = annotation ;
		_visibility = visibility ;
		_is_leaf = is_leaf ;
		_is_root = is_root ;
		_is_abstract = is_abstract ;
		_is_singleton = is_singleton ;
		_class_proxy = _proxy ;
		  }
	}
